Partio::Vec3 Class Reference

`#include <PartioVec3.h>`

## Public Member Functions

| Vec3 ()
| Vec3 (const float x, const float y, const float z)
| Vec3 (const float v[3])
float | length ()
float | normalize ()
Vec3 | normalized () const
Vec3 | operator* (const float a) const
Vec3 | operator- (const Vec3 &v) const
Vec3 | operator+ (const Vec3 &v) const
Vec3 | operator+= (const Vec3 &v)
Vec3 | cross (const Vec3 &v) const
Vec3 | min (const Vec3 &v) const
Vec3 | max (const Vec3 &v) const

## Public Attributes

float | x
float | y
float | z

## Constructor & Destructor Documentation

## Vec3() [1/3]

Partio::Vec3::Vec3 | ( |  | ) |

inline

Referenced by max(), min(), operator*(), operator+(), and operator-().

## Vec3() [2/3]

Partio::Vec3::Vec3 | ( | const float | x,
|  | const float | y,
|  | const float | z
| ) |  |

inline

## Vec3() [3/3]

Partio::Vec3::Vec3 | ( | const float | v[3] | ) |

inline

## Member Function Documentation

## cross()

Vec3 Partio::Vec3::cross | ( | const Vec3 & | v | ) | const

inline

References x, y, and z.

## length()

float Partio::Vec3::length | ( |  | ) |

inline

References x, y, and z.

Referenced by normalize().

## max()

Vec3 Partio::Vec3::max | ( | const Vec3 & | v | ) | const

inline

References Vec3(), x, y, and z.

## min()

Vec3 Partio::Vec3::min | ( | const Vec3 & | v | ) | const

inline

References Vec3(), x, y, and z.

## normalize()

float Partio::Vec3::normalize | ( |  | ) |

inline

References length(), x, y, and z.

Referenced by normalized().

## normalized()

Vec3 Partio::Vec3::normalized | ( |  | ) | const

inline

References normalize(), x, y, and z.

## operator*()

Vec3 Partio::Vec3::operator* | ( | const float | a | ) | const

inline

References Vec3(), x, y, and z.

## operator+()

Vec3 Partio::Vec3::operator+ | ( | const Vec3 & | v | ) | const

inline

References Vec3(), x, y, and z.

## operator+=()

Vec3 Partio::Vec3::operator+= | ( | const Vec3 & | v | ) |

inline

References x, y, and z.

## operator-()

Vec3 Partio::Vec3::operator- | ( | const Vec3 & | v | ) | const

inline

References Vec3(), x, y, and z.

## Member Data Documentation

## x

float Partio::Vec3::x

Referenced by cross(), length(), max(), min(), normalize(), normalized(), operator*(), Partio::operator*(), operator+(), operator+=(), operator-(), and Partio::operator<<().

## y

float Partio::Vec3::y

Referenced by cross(), length(), max(), min(), normalize(), normalized(), operator*(), Partio::operator*(), operator+(), operator+=(), operator-(), and Partio::operator<<().

## z

float Partio::Vec3::z

Referenced by cross(), length(), max(), min(), normalize(), normalized(), operator*(), Partio::operator*(), operator+(), operator+=(), operator-(), and Partio::operator<<().

The documentation for this class was generated from the following file:

- src/lib/PartioVec3.h